cascading.flow.planner.iso.subgraph.partitioner

## Class WholeGraphPartitioner

- java.lang.Object
- - cascading.flow.planner.iso.subgraph.GraphPartitioner
  - - cascading.flow.planner.iso.subgraph.partitioner.WholeGraphPartitioner

-     public class WholeGraphPartitioner
      extends GraphPartitioner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WholeGraphPartitioner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Partitions` | `partition(PlannerContext plannerContext, ElementGraph elementGraph, Collection<FlowElement> excludes)`

    - ### Methods inherited from class cascading.flow.planner.iso.subgraph.GraphPartitioner

      `partition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WholeGraphPartitioner

          public WholeGraphPartitioner()

  - ### Method Detail

    - #### partition

          public Partitions partition(PlannerContext plannerContext,
                             ElementGraph elementGraph,
                             Collection<FlowElement> excludes)

      Specified by:
        `partition` in class `GraphPartitioner`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.